<template>

</template>

<script lang="ts" setup>
/*

const formIns = ref<InstanceType<typeof TenantForm> | null>(null)

const formStatus = computed<'create' | 'view' | 'edit'>(() => {
  return detailStore.edit ? 'edit' : 'view'
})

const leftFuns = computed<PageTypes.Fun[]>(() => {
  return [
    {
      title: '查看列表',
      mode: 'text',
      icon: 'view-list',
      onClick() {
        Nav.open('tenant')
      }
    },
    {
      title: detailStore.edit ? '提交' : '编辑',
      mode: 'text',
      icon: detailStore.edit ? 'check' : 'edit',
      onClick() {
        if (!detailStore.edit) {
          detailStore.$patch({edit: true})
          return
        }
        const value = formIns.value!.getValue()
        if (value == null) return
        const toastId = Toast.loading('正在提交')
        TenantApi
            .modify({...value, id: detailStore.id!})
            .then(_ => {
              Toast.success('修改成功')
            })
            .finally(() => {
              Toast.close(toastId)
            })
      }
    },
  ]
})

onMounted(() => {
  TenantApi.detail(detailStore.id!)
      .then(res => {
        formIns.value!.setValue(res.data)
      })
 }) */
</script>

<style lang="stylus" scoped>

</style>
